XF Test Bench 3.3

Protected Types | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
StateMachine02 Class Reference
Second Test Project

`#include <statemachine02.h>`

Inheritance diagram for StateMachine02:
Collaboration diagram for StateMachine02:

## Protected Types
enum | eTimeoutId { Timeout_PRINT_COUNT_id = 1 }
enum | eMainState { STATE_UNKOWN = 0 , STATE_INITIAL = 1 , STATE_PRINT_COUNT = 2 , STATE_CONDITION_01 = 3 , STATE_TERMINATION_01 = 4 }

## Protected Member Functions
XFEventStatus | processEvent () override

## Protected Attributes
eMainState | _currentState
| Attribute indicating currently active state.
const uint32_t | id
| Object identifier.
int | counter
| Count down attribute used in state machine.

## Static Protected Attributes
static uint32_t | nextId = 1
| Static attribute providing identifier for next object.

## Detailed Description

Task implementing a state machine doing a count down from 5 to 1 and terminating.

Following you will find the state machine implemented by StateMachine02:

State Machine implemented by StateMachine02

## Member Enumeration Documentation

## ◆ eMainState

enum StateMachine02::eMainState
| protected

Enumeration used to have a unique identifier for every state in the state machine.

Enumerator
STATE_UNKOWN | Unkown state.
STATE_INITIAL | Initial state.
STATE_PRINT_COUNT | Print count state.
STATE_CONDITION_01 | Condition after print count state.
STATE_TERMINATION_01 | Termination state.

## ◆ eTimeoutId

enum StateMachine02::eTimeoutId
| protected

Timeout identifier(s) for this state machine

Enumerator
Timeout_PRINT_COUNT_id | Timeout id for WAIT.

## Member Function Documentation

## ◆ processEvent()

XFEventStatus StateMachine02::processEvent | ( |  | ) |
| override protected

Implements state machine behavior.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test2/src/app/statemachine02.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test2/src/app/statemachine02.cpp